# Movable Type plugin.
#
# Release 0.01 (Jan 17, 2008) initial version(for 4.1).
# Release 0.02 (Jan 22, 2008) correspond option window.
# Release 0.03 (Feb 17, 2008) fixed bug.
# Release 0.10 (Sep 17, 2008) for 4.2.
#
# Copyright (c) 2004-2008 Yujiro Araki

package MT::Plugin::VisibleCustomFieldImage;
use strict;
use MT;
use base qw(MT::Plugin);

our $VERSION = '0.10';

my $plugin = __PACKAGE__->new({
    name => 'VisibleCustomFieldImage',
    description => 'Set default value for entry.',
    doc_link => 'http://www.koikikukan.com/archives/2008/09/17-005555.php',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    version => $VERSION,
});
MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
            'MT::App::CMS::template_source.asset-chooser'
                => \&visible_custom_field_image,
        },
   });
}

sub visible_custom_field_image {
    my ($cb, $app, $template) = @_;
    my $old = <<HERE;
            onclick="return openDialog(this.form, 'list_assets', '_type=asset&amp;blog_id=<mt:var name="blog_id">&amp;dialog_view=1&amp;<mt:if name="asset_type" ne="asset">filter=class&amp;filter_val=<mt:var name="asset_type">&amp;require_type=<mt:var name="asset_type">&amp;</mt:if>edit_field=<mt:var name="field_id">&amp;asset_select=1')"
HERE
    $old = quotemeta($old);
    my $new = <<HERE;
            onclick="return openDialog(this.form, 'list_assets', '_type=asset&amp;blog_id=<mt:var name="blog_id">&amp;dialog_view=1&amp;filter=class&amp;filter_val=<mt:var name="asset_type">&amp;<mt:if name="asset_type" ne="asset">require_type=<mt:var name="asset_type">&amp;</mt:if>edit_field=<mt:var name="field_id">&amp;asset_select=0')"
HERE
    $$template =~ s/$old/$new/;

}

1;
